%define name libquicktime
%define major 0
%define version 1.2.4
%define fversion %version
%define release %mkrel 6
%define libname %mklibname quicktime %major
%define develname %mklibname quicktime -d

Summary:	A library for manipulating QuickTime files
Name:		%name
Version:	%version
Release:	%release
License:        LGPLv2+
Group:		Video
Source0:	http://prdownloads.sourceforge.net/libquicktime/%{name}-%{fversion}.tar.xz
Patch0:		libquicktime-1.2.4-ffmpeg-2.0.patch
URL:		http://libquicktime.sourceforge.net/
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires: 	oggvorbis-devel
BuildRequires:  autoconf
BuildRequires:	automake
BuildRequires:  MesaGLU-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	libffmpeg-devel
BuildRequires:	libalsa-devel
BuildRequires:	libice-devel
BuildRequires:	libxv-devel
BuildRequires:  libschroedinger-devel
BuildRequires:	doxygen
BuildRequires:	%{_lib}xaw-devel
BuildRoot:	%_tmppath/%name-%version


%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%description -l de
Bibliothek zum bearbeiten von QuickTime-Dateien Die Libquicktime ist
eine Bibliothek zum Lesen und Schreiben von QuickTime-Dateien auf UNIX-Systemen.
Video-CODECs, die von dieser Bibliothek unterstützt werden, sind OpenDivX, MJPA,
JPEG Foto, PNG, RGB, YUV 4:2:2 und YUV 4:2:0 Komprimierung. Unterstützte Audio
CODECs sind Ogg Vorbis, IMA4, ulaw und Alle linearen PCM Format.Libquicktime
basierend auf der quicktime4linux Bibliothek.

%package -n %libname
Summary:	Shared library of libquicktime
Group:		System/Libraries

%description -n %libname
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.


%package -n %develname
Summary:	Header files and development documentation for libquicktime
Group:		Development/Libraries
Provides:	libquicktime-devel = %version-%release
Provides:	quicktime-devel = %version-%release
Provides:	quicktime-static-devel = %version-%release
Provides:	%libname-static-devel = %version-%release
Obsoletes:	%libname-static-devel = %version-%release
Obsoletes:	%mklibname -d quicktime 0
Requires:	%{libname} = %{version}

%description -n %develname
Header files and development documentation for libquicktime.

%description -n %develname -l de
Header Dateien und Entwickler Dokumentation für libquicktime.


%package dv
Summary:	Libquicktime plugin supporting the DV codec
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	libdv-devel >= 0.103

%description dv
Libquicktime plugin supporting the DV codec

%description dv -l de
Libquicktime Plugin DV Codec Unterstützung.


%package progs
Summary:	Useful tools to operate at QuickTime files
Group:		Video
Requires:	%name = %version

%description progs
Useful tools to operate on QuickTime files.

%description progs -l de
Nützliche Tools für das bearbeiten von QuickTime-Dateien.


%package lame
Summary: Libquicktime plugin supporting the MP3 codec
Group:		Video
Requires:	%{name} = %{version}
BuildRequires: liblame-devel

%description lame
This is a libquicktime plugin supporting the MP3 codec based on lame.

%description lame -l de
Libquicktime Plugin Unterstützung für den MP3-Codec, basierend auf Lame.

%package faac
Summary: Libquicktime plugin for encoding AAC
Group:		Video
Requires:	%{name} = %{version}
BuildRequires: libfaac-devel

%description faac
This is a libquicktime plugin for AAC encoding based on faac.

%description faac -l de
Libquicktime Plugin für die AAC Kodierung, basierend auf faac.

%package faad
Summary: Libquicktime plugin for decoding AAC
Group:		Video
Requires:	%{name} = %{version}
BuildRequires: libfaad2-devel

%description faad
This is a libquicktime plugin for AAC decoding based on faad2.

%description faad -l de
Libquicktime Plugin für die AAC Decodierung, basierend auf faad2.


%package x264
Summary: Libquicktime plugin for encoding H.264/MPEG-4 streams
Group:		Video
Requires:	%{name} = %{version}
BuildRequires: x264-devel

%description x264
This is a libquicktime plugin for encoding H.264/MPEG-4 streams.

%description x264 -l de
Libquicktime Plugin für die Kodierung von H.264/MPEG-4 Streams.



%prep
%setup -q -n %name-%fversion
%apply_patches

%build

%configure2_5x \
--with-libdv \
--enable-gpl \
 %ifarch x86_64
--with-pic 
%endif
 
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/libquicktime/*a
rm -f %buildroot%_libdir/*.la
rm -f %buildroot%_libdir/libquicktime/lqt_opendivx.so
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post  -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc README
%dir %{_libdir}/libquicktime/
%{_libdir}/libquicktime/lqt_audiocodec.so
%{_libdir}/libquicktime/lqt_ffmpeg.so
%{_libdir}/libquicktime/lqt_mjpeg.so
%{_libdir}/libquicktime/lqt_png.so
%{_libdir}/libquicktime/lqt_videocodec.so
%{_libdir}/libquicktime/lqt_rtjpeg.so
%{_libdir}/libquicktime/lqt_vorbis.so
%{_libdir}/libquicktime/lqt_schroedinger.so
 
%files dv
%defattr(-,root,root)
%{_libdir}/libquicktime/lqt_dv.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libquicktime.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_datadir}/doc/libquicktime
%{_libdir}/lib*.so
%{_includedir}/lqt
%_libdir/pkgconfig/*.pc

%files progs
%defattr(-,root,root)
%doc README TODO
%{_bindir}/libquicktime_config
%_bindir/lqtplay
%_bindir/lqtremux
%_bindir/lqt_transcode
%_bindir/qt*
%_mandir/man1/lqtplay.1*

%files lame
%defattr(-,root,root)
%{_libdir}/libquicktime/lqt_lame.so

%files faac
%defattr(-,root,root)
%{_libdir}/libquicktime/lqt_faac.so

%files faad
%defattr(-,root,root)
%{_libdir}/libquicktime/lqt_faad2.so

%files x264
%defattr(-,root,root)
%{_libdir}/libquicktime/lqt_x264.so



%changelog
* Mon Nov 16 2014 bb <bb> 1.2.4-6pclos2014
- rebuiild ffmpeg 2.4.3

* Sun Oct 06 2013 bb <bb> 1.2.4-5pclos2013
- rebuild for new ffmpeg

